#
# Compilers
#
CC = gcc
#CC=g++

#
# exes
# 
EXE0=main

#
# Flags
#
DEBUG_FLAG=
#DEBUG_FLAG=-g
CFLAGS=-Wall -std=c99 $(DEBUG_FLAG) -DMYGLIST_CPY_ELEM=1

# set object files   
#   
OBJ0=$(EXE0).o

#
# Other objects
#
OOBJS0=myglist.o

HEADERS=myglist.h

-include dummy

.PHONY: clean all test splash

## make all
all: $(EXE0) 

# make main
$(EXE0): $(OBJ0) $(OOBJS0) 
	$(CC) $(CFLAGS) $(OBJ0) $(OOBJS0) -o $@

# Old-fashioned suffix rule (cannot have any prerequisites of their own)
#.c.o: 
#	$(CC) $(CFLAGS) $(INC) -c $<
%.o: %.c $(HEADERS) 
	$(CC) $(CFLAGS) $(INC) -c $< -o $@

dummy: Makefile
	@touch $@
	@$(MAKE) -s clean

test: $(EXE0)
	./$(EXE0)

clean:
	rm -f *.o $(EXE0) a.out core

splash:
	rm -f *~

### EOF ###



